# Chemical Mechanism Configurations

An attempt at defining a model-independent configuration schema for atmospheric chemical systems in JSON and YAML.

[![GitHub Releases](https://img.shields.io/github/release/ncar/MechanismConfiguration.svg)](https://github.com/ncar/MechanismConfiguration/releases)
[![License](https://img.shields.io/github/license/ncar/MechanismConfiguration.svg)](https://github.com/ncar/MechanismConfiguration/blob/master/LICENSE)
[![Docs build](https://github.com/ncar/MechanismConfiguration/actions/workflows/gh-pages.yml/badge.svg)](https://github.com/ncar/MechanismConfiguration/actions/workflows/gh-pages.yml)
[![Windows](https://github.com/ncar/MechanismConfiguration/actions/workflows/windows.yml/badge.svg)](https://github.com/ncar/MechanismConfiguration/actions/workflows/windows.yml)
[![Mac](https://github.com/ncar/MechanismConfiguration/actions/workflows/mac.yml/badge.svg)](https://github.com/ncar/MechanismConfiguration/actions/workflows/mac.yml)
[![Ubuntu](https://github.com/ncar/MechanismConfiguration/actions/workflows/ubuntu.yml/badge.svg)](https://github.com/ncar/MechanismConfiguration/actions/workflows/ubuntu.yml)
[![PyPI version](https://badge.fury.io/py/mechanism_configuration.svg)](https://pypi.org/p/mechanism_configuration)

Copyright (C) 2017&ndash;2024 Barcelona Supercomputing Center, University of Illinois at Urbana&ndash;Champaign, and National Center for Atmospheric Research

The configuration documentation can be found [here](https://ncar.github.io/MechanismConfiguration/).

## Building the Documentation

With python and pip installed, go to the `docs/` folder and run:
```
pip install -r requirements
make html
```

Then, you can navigate to `docs/build/html/index.html` in a browser to view the documentation.
